<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.3/dist/leaflet.css"
        integrity="sha256-kLaT2GOSpHechhsozzB+flnD+zUyjE2LlfWPgU04xyI=" crossorigin="" />
    <script src="https://unpkg.com/leaflet@1.9.3/dist/leaflet.js"
        integrity="sha256-WBkoXOwTeyKclOHuWtc+i2uENFpDZ9YPdf5Hf+D7ewM=" crossorigin="">
        </script>
    <style>
        #demo {
           background-color: rgb(0, 0, 0);
           color: white;
        }
        #map {
            height: 400px;
        }
    </style>
</head>

<body>
    <div id="demo"></div>
    <div id="map"></div>

    <script>
        var map = L.map('map').setView([51.505, -0.09], 13);
        L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 19,
            attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
        }).addTo(map);
        fetch("estaciones.json")
            .then(function (response) {
                return response.json();
            })

            .then(function (dataJson) {
                console.log(dataJson);
                let verifica = 0;
                let text = "<table border='1'>"
                let text2 = "<table border='1'>"
                dataJson.stations.sort(function (a, b) { return (b.slots - a.slots) })
                text += "<tr><td>" + "Estacion con mas de 3 bikes" + "</tr></td>"
                for (const estacion of dataJson.stations) {
                    if (estacion.bikes > 3) {

                        text += "<tr><td>" + estacion.id + "</td><td>" + estacion.streetName + "</td><td>" + estacion.longitude + "</td><td>" + estacion.latitude + "</td><td>" + estacion.slots + "</td><td>" + estacion.bikes + "</td></tr>";
                    }
                    else if (estacion.id == '33') {


                        text += "<tr><td>" + estacion.id + "</td><td>" + estacion.streetName + "</td><td>" + estacion.longitude + "</td><td>" + estacion.latitude + "</td><td>" + estacion.slots + "</td><td>" + estacion.bikes + "</td></tr>";
                    }
                    else if (estacion.latitude == '41.398389') {
                        text2 += "<tr><td>" + "Estacion con latitud especificada" + "</tr></td>"
                        text2 += "<tr><td>" + estacion.id + "</td><td>" + estacion.streetName + "</td><td>" + estacion.longitude + "</td><td>" + estacion.latitude + "</td><td>" + estacion.slots + "</td><td>" + estacion.bikes + "</td></tr>";
                    }
                }
                text += "</table>"
                text2 += "</table>"
                document.getElementById("demo").innerHTML = text + text2;

                return dataJson;
            })
            .catch(function (error) { console.log("Algo ha salido mal: " + error) })
    </script>
</body>

</html>